.share-did-success {
  height: 55rem;

  background: #ffffff url("/assets/blob-purple.svg") no-repeat;
  background-position-y: -5rem;
  background-position-x: -5rem;

  border: 1px dashed rgba(41, 69, 151, 0.88);
  box-shadow: 3px 5px 8px rgba(0, 0, 0, 0.06);
  border-radius: 4px;

  display: grid;
  grid-template-columns: 2rem repeat(5, 1fr) 2rem;
  grid-template-rows: 10rem 15rem auto 5rem;

  div:nth-child(1) {
    grid-column: 4/5;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 1.5rem 0 0.5rem 0;
  }

  div:nth-child(2) {
    grid-column: 3/6;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 2rem;
    color: #d9d9d9;
    span {
      text-align: center;
    }
  }

  div:nth-child(3).border-did {
    grid-column: 2/7;

    display: grid;
    grid-template-columns: 2rem repeat(5, 1fr) 2rem;
    grid-template-rows: 10rem 5rem 5rem auto;

    div:nth-child(1) {
      grid-column: 3/6;
      text-align: start;
      font-size: 1.4rem;
      padding: 2rem 0;
    }

    div:nth-child(2) {
      grid-column: 3/4;
      display: flex;
      align-items: start;
      justify-content: center;
    }

    div:nth-child(3) {
      grid-column: 4/6;
      text-align: start;
      font-size: 2.4rem;
    }

    div:nth-child(4) {
      grid-column: 4/7;
      text-align: left;
      font-size: 1.2rem;
      padding-bottom: 2rem;
    }

    div:nth-child(5) {
      grid-column: 2/7;
      display: grid;
      align-items: start;
      justify-items: center;
      margin-top: 2rem;

      span {
        img {
          width: 2rem;
          margin-right: 0.5rem;
        }

        font-size: 1.5rem;
        text-decoration-line: underline;
        color: rgba(41, 69, 151, 0.88);
      }
    }
  }

  .border-did {
    border: #0d0d0d 1px solid;
    border-radius: 10px;
    background-color: #ffffff;
  }
}

@media screen and (min-width: 650px) {
  .share-did-success {
    background-size: 100rem;

    div:nth-child(3).border-did {
      grid-template-rows: 10rem 5rem 2.5rem auto;
    }
  }
}

@media screen and (min-width: 1450px) {
  .share-did-success {
    background-size: 150rem;

    div:nth-child(3) {
      grid-column: 4/5;
      display: grid;
      align-items: center;
      justify-items: center;
    }
  }
}
